# Bitcoin HD Wallet

A simple library leveraging [Bitcore](https://github.com/bitpay/bitcore-lib) to create HD wallets with xpub.

**Warning**:  I do not take responsibility for any lose of funds using this code. Ensure you verify everything on the [bitcore library](https://github.com/bitpay/bitcore-mnemonic/tree/538380982079cebe466ccfd08e33f27ac015a899).

## Installation

```sh
npm install @lopeer/bitcoin-wallet
```

## Usage

```js
const bitcoinwallet = require("@lopeer/bitcoin-wallet");
let newallet = bitcoinwallet("testnet");

//Result

{
  xpub: 'tpubD6NzVbkrYhZ4YgSYK14ohRGfPKwrAb8M1J841ofJVQRjD13R7z5LWQ4oMqPa72VDSkahYREc8B8zuTe3Txmyqd1oFj4vH5Hubnis62X9qYg',
  privateKey: 'cf637c8dab0c486586e6dc20793c0011c30875d9351a83e1c5c2f337a1c1e66a',
  address: '1Q38tNvqtyDt3ZKM2M2vkAaEqpzcuwaVpM',
  mnemonic: 'sonoro velero bucle sistema cajón negar fiable bondad clima vengar hueso sudor'
}
```
