const bitcore = require("bitcore-lib");
const Mnemonic = require('bitcore-mnemonic');

let PrivateKey = bitcore.PrivateKey
let code = new Mnemonic(Mnemonic.Words.SPANISH);

module.export = (network) => {
  let xpriv = code.toHDPrivateKey(code.toString(), network);
  let privkey = new PrivateKey(xpriv.privateKey.toString());

  return {
    xpub: xpriv.xpubkey,
    privateKey: xpriv.privateKey.toString(),
    address: privkey.publicKey.toAddress().toString(),
    mnemonic: code.toString()
  }
}

